Subject: Re: bug#7556: 24.0.50; visiting an EPS file with preview TIFF image and with one long line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Dec 2010 16:37:29 +0200

> Cc: [email-masked]
> From: Peter Dyballa <[email-masked]>
> Date: Sun, 5 Dec 2010 13:04:26 +0100
> 
> >> And more: GNU Emacs creates a #file.eps# backup file,
> >> larger in size (50 %) than the original file. Is that the expected
> >> behaviour?
> >
> > I'm guessing that this is because raw bytes are decoded into internal
> > format that makes them take 5 bytes.  The auto-save file is written in
> > this internal format.
> 
> 
> The backup file was created while I opened the file read-only, just  
> visiting it!

That's strange.  I thought auto-save only kicks in if a file was
modified in some way.  Do you see the "modified" indication on the
mode line?  Do you see "Autosaving" in *Messages*?